April 26, 1993

RELEASE NOTES FOR THE GENERAL BETA MACH8/MACH32 OS/2 2.1 16 BIT DRIVER

READ THIS FILE COMPLETELY BEFORE ATTEMPTING TO USE THIS PRODUCT

ATI TECHNOLOGIES INC
3761 Victoria Park Ave
Scarborough, Ont.
CANADA. M1W 3S2

Head Office, Sales and Marketing ....... (416) 756-0718
Customer Support ....................... (416) 756-0711
FAX .................................... (416) 756-0720
ATI BBS ................................ (416) 756-4591
Compuserve ............................. GO ATITECH
     Corilee Fox ........ 76004,3656 Beta Coordinator
     Fred Weigel ........ 74740,652  Engineering

Contents

1.0     Introduction
2.0     Requirements
3.0     Installation
4.0     Contents of Distribution Diskette
5.0     Configuration Settings
6.0     Errors
7.0     Reporting Problems

1.0     Introduction

This is the first general beta release of the mach8/mach32 OS/2 2.1
16 bit driver. This driver can only be used with the ATI Graphics 
Vantage, Graphics Ultra, 8514/A Ultra, Graphic Ultra Pro or Graphics 
Ultra+ accelerator cards.

OS2 versions supported by this driver are:

	Version 1.21, 1.3, 1.31, 2.0 GA
	Version 2.0GA+SP, 2.1 (October, December or March beta)

	Limitations and special install procedures for each of these
	version can be found in the requirements section.

The mach8/mach32 OS/2 2.1 16 bit driver allow the use of OS/2 with
following resolutions 

	mach 8 (Graphics Vantage and Graphics Ultra with minimum 1Mb) :
 
	[640x480]           256 colors @ 60Hz ONLY !
	[800x600]           256 colors
	[1024x768]          256 colors

	mach 32 (Graphics Ultra+ and Graphics Ultra Pro with minimim 2Mb) :

	[640x480]           256 colors @ 60Hz ONLY !
	[800x600]           256 colors
	[1024x768]          256 colors
	[1280x1024]         256 colors
  
Unlike other drivers, where the user must go to a Setup and select
another driver every time a resolution change is required, the ATI
PM  driver is a single driver that contains all resolutions. 

Changing resolutions is as easy as editing your CONFIG.SYS file 
(see Configuration Settings).

This current driver does not support Seamless Windows. ATI does plan
to release a 32 bit driver that will support Seamless Windows and 
65K color modes at a later date:

If you do come across any problems, please report them as soon as
possible by fax or CompuServe to the OS/2 PM beta coordinator, using
the attached form.

2.0     Requirements

- ATI Accelerator Card:

	mach8:  Graphics VANTAGE, Graphics ULTRA or 8514-ULTRA with a
		minimum of 1MB of memory.

	or

	mach32: GRAPHICS ULTRA PRO or GRAPHICS ULTRA+ with a minimum
		of 2MB of memory.

- OS/2 Presentation Manager :

	Version 1.21, 1.3, 1.31, 2.0 GA

		These OS/2 versions must be installed using the VGA or 
		8514/A driver (supplied with OS/2) prior to using this
		driver.

	or
	
	Version 2.0GA+SP, 2.1 (October, December or March beta)

		These OS/2 versions must be installed using 8514/A driver
		(supplied with OS/2) FIRST, PRIOR TO INSTALLING THE ATI DRIVER.
		If the 8514/A driver is NOT installed prior to using this 
		driver, this driver will NOT function  correctly.

3.0     Installation
		    
To install this release, if it was downloaded from CompServe, please
unpack (decompress) the distribution files onto a diskette, or to a
separate directory, prior to running the INSTALL Program.

From the OS/2 DOS BOX, run the INSTALL program. Follow the instructions
provided by the install program.

To change resolutions after installation, see Configuration Settings.

4.0     Contents of Distribution Diskette

The following files are on the distribution diskette. The files are
decompressed into the appropriate directories by the INSTALL utility.

	INSTALL.EXE     Installation utility
	INSTALL.HLP     Help file for INSTALL
	INSTALL.VSF     Data file for INSTALL
	LHARC.EXE       Decompression utility
	PMCOMMON.LZH    Common driver files
	PMDRVR1.LZH     Files for OS/2 1.21, 1.3, 2.0
	PMDRVR2.LZH     Files for OS/2 2.0+SP, 2.1
	README.PM       Readme instructions

5.0     Configuration Settings

To change resolution, please edit your CONFIG.SYS file, using the OS/2
System Editor. Find and modify the "SET ATI_RES=" line.

	SET ATI_RES=640x480             (60Hz only)
	SET ATI_RES=800x600
	SET ATI_RES=1024x768
	SET ATI_RES=1280x1024           (mach32 only)

6.0     Errors

If a particular resolution has not been installed on your Accelerator
card by the mach8/mach32 installation program, the PM driver will switch
to a resolution which has been properly setup. For example if 800x600
is the chosen resolution for the PM driver, but not setup in hardware,
the 1024x768 resolution will be used, if available, else 640x480 will be
used. When this happens, three low-pitched error tones are sounded at
startup.

7.0     Reporting Problems

In order to make the mach8/mach32 OS/2 2.1 Beta Program successful,
ATI needs your prompt action on the following:

	- Install and use the drivers promptly.
	- Test the product for reliability, useability, and robustness.
	- Complete and return the enclosed Problem Report Forms.

Although we have put much effort into the verification of this driver, 
it is still pre-release software.  We strongly suggest you back up any
important existing data/programs before installing or running the beta
mach8/mach32 OS/2 2.1 driver.

WARNING! ATI is not responsible for any problems resulting from the
use of this software.

TECHNICAL SUPPORT

If you come across any problems, please report them as soon as possible 
by fax or CompuServe to Corilee Fox / OS/2 PM beta coordinator, using
the attached form.The mach8/mach32 Beta Response Form is provided for 
you to report problems. 

Make multiple photocopies of the form and use a separate form for each
problem being reported. Please mail or fax your completed forms to us
as soon as possible.

The OS/2 PM beta coordinator will take complete details of problems 
experienced and forward them to our Engineering development team for 
testing and resolution.

PROBLEM REPORT FORM

Please complete this form and return it to ATI Technologies Inc. at the
address or fax number listed below, or return via CompuServe. Make multiple
copies of this form.  

Please attach C-INFO output to all problem reports submitted. Use a
separate form for each problem being reported.

ATI Technologies Inc.
3761 Victoria Park Avenue
Scarborough, Ontario
Canada  M1W 3S2
Attention:  Corilee Fox / mach8/mach32 OS/2 2.1 Beta Coordinator 

FAX:  (416)756-0720

Product Name:  mach8/mach32 OS/2 2.1 driver
Rev. Number: beta 1
Customer Name:
CompuServe Address:
Fax Number:
Address:

My Hardware is Configured as follows:
CPU/Speed:
Hard Disk Space:
Memory:
Video Adapter (Make and Model):                 BIOS #:
Audio Adapter (Make and Model):
CD-ROM Drive (Make and Model):
Software:

Other system/software Information:

Problem description:



Impact of problem:



If you are sending any dumps, test cases or documentation associated
with this problem, list them here:



